commit:     181d6413996fc93494d39a22ad845dc458a50f6c
Author:     Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq <DOT> in>
AuthorDate: Tue Feb 18 13:01:27 2025 +0000
Commit:     Anna Vyalkova <cyber+gentoo <AT> sysrq <DOT> in>
CommitDate: Tue Feb 18 13:05:17 2025 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=181d6413

dev-util/pifpaf: add 3.3.0, drop 3.2.1

Signed-off-by: Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq.in>

 dev-util/pifpaf/Manifest                           |  2 +-
 .../{pifpaf-3.2.1.ebuild => pifpaf-3.3.0.ebuild}   | 29 ++++++++++++++--------
 2 files changed, 20 insertions(+), 11 deletions(-)

diff --git a/dev-util/pifpaf/Manifest b/dev-util/pifpaf/Manifest
index 0e7e583e4..794946fbc 100644
--- a/dev-util/pifpaf/Manifest
+++ b/dev-util/pifpaf/Manifest
@@ -1,2 +1,2 @@
-DIST pifpaf-3.2.1.tar.gz 183005 BLAKE2B 
4ce210af724bbe615a3ccf0b70cd1eb8f1f3b8e0bba1d80e157bdb96a6f705487283977b86aafd71483c750a0029bb2cd4c65c6b7694d47b539dff86be663572
 SHA512 
680d034e00b6491e1e7c56524b83be8d1853e41a6c3be0c8f9af5339d9a248f7d3ae21e801c10ccaf2f530ce36f8e33fdbe49196f7add69c9a85c8e89fdc02ac
 DIST pifpaf-3.2.3.tar.gz 185673 BLAKE2B 
f8e3f953e8f232120f320ee3f6914672c5f16fb9c4345a9391055c3e27169283a462eed745e0c2a337b03f64ba6822484cc9ff3d82c218b2bc5f321bb9432e6a
 SHA512 
cb7f22ed1839e0615ce01414baf6113070a6cec8a6649beb3ea0e588c6d235f4b35c0a8daacafa098b9ba08975f61bb38e0784263aa9cb1037bf60df8b838d5f
+DIST pifpaf-3.3.0.tar.gz 185776 BLAKE2B 
fcc0b4d5d567eaf3cc898c0b2135599048b88909a6c204f5c508c176c0eb93e819be5e16a23797054644c1b4d8df0ad5470e646257ad747cddd9e073700aa90c
 SHA512 
31d3c5570cfcd8f55827441d2d118c34d99e837896eed1abe24ec9860e8b5576f50e471ae44197692655dc92973b622d882e3f5a7f2f8b58e71d81fff08c4aae

diff --git a/dev-util/pifpaf/pifpaf-3.2.1.ebuild 
b/dev-util/pifpaf/pifpaf-3.3.0.ebuild
similarity index 70%
rename from dev-util/pifpaf/pifpaf-3.2.1.ebuild
rename to dev-util/pifpaf/pifpaf-3.3.0.ebuild
index 6ea416a2d..2edf8efa7 100644
--- a/dev-util/pifpaf/pifpaf-3.2.1.ebuild
+++ b/dev-util/pifpaf/pifpaf-3.3.0.ebuild
@@ -1,11 +1,11 @@
-# Copyright 1999-2024 Gentoo Authors
+# Copyright 1999-2025 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
 
-PYTHON_COMPAT=( python3_{10..12} )
+PYTHON_COMPAT=( python3_{10..13} )
 DISTUTILS_USE_PEP517=setuptools
-inherit distutils-r1 pypi
+inherit click-app distutils-r1 pypi
 
 DESCRIPTION="Suite of tools and fixtures to manage daemons for testing"
 HOMEPAGE="
@@ -17,7 +17,6 @@ LICENSE="Apache-2.0"
 SLOT="0"
 KEYWORDS="~amd64"
 
-# dev-python/setuptools: for pkg_resources and distutils
 RDEPEND="
        dev-python/click[${PYTHON_USEDEP}]
        dev-python/daiquiri[${PYTHON_USEDEP}]
@@ -25,7 +24,12 @@ RDEPEND="
        dev-python/jinja2[${PYTHON_USEDEP}]
        dev-python/packaging[${PYTHON_USEDEP}]
        dev-python/psutil[${PYTHON_USEDEP}]
-       dev-python/xattr[${PYTHON_USEDEP}]
+       $(python_gen_cond_dep '
+               || (
+                       dev-python/pyxattr[${PYTHON_USEDEP}]
+                       dev-python/xattr[${PYTHON_USEDEP}]
+               )'
+       )
 "
 BDEPEND="
        dev-python/setuptools-scm[${PYTHON_USEDEP}]
@@ -40,22 +44,27 @@ BDEPEND="
                dev-python/testtools[${PYTHON_USEDEP}]
                net-misc/kafka-bin
                net-misc/memcached
+               net-misc/rabbitmq-server
                sys-cluster/ceph
                virtual/mysql[server]
        )
 "
 
 EPYTEST_DESELECT=(
-       # Need updates to new CLIs and APIs
+       # Drivers need fixes
        pifpaf/tests/test_drivers.py::TestDrivers::test_influxdb
        pifpaf/tests/test_drivers.py::TestDrivers::test_mongodb
        pifpaf/tests/test_drivers.py::TestDrivers::test_redis_sentinel
-
-       # RabbitMQ wants to be run only as root
-       pifpaf/tests/test_drivers.py::TestDrivers::test_rabbitmq
-       pifpaf/tests/test_drivers.py::TestDrivers::test_rabbitmq_cluster
 )
 
 distutils_enable_tests pytest
 
+click-app_enable_completions pifpaf
+
 export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+
+python_test() {
+       # RabbitMQ wrappers installed to /usr/sbin require to be run as root.
+       local -x 
PATH="${BUILD_DIR}/install${EPREFIX}/usr/bin:${BROOT}/usr/libexec/rabbitmq:${PATH}"
+       epytest
+}

Reply via email to